import { $loopPrint } from '../../lodop/Common/Print';
import { message } from 'antd';
import { $http } from 'containers/config/https';

/**打印采购计划单
 *
 */
export function printPurPlan(rowId) {
    if (!rowId) {
        message.error("请选择采购单之后再打印");
        return;
    }
    const data = {
        params: [{ PPID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02020209",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**
 * 打印库存调整单
 */
export function printStkAdj(rowId) {
    if (!rowId) {
        message.error("请选择调整单之后再打印");
        return;
    }
    const data = {
        params: [{ stkAdjID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02020212",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**
 * 打印库存转移单
 */
export function printTransfer(rowId) {
    if (!rowId) {
        message.error("请选择转移单之后再打印");
        return;
    }
    const data = {
        params: [{ transID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02020210",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**
 * 打印库存报损单
 */
export function printStkSrap(rowId) {
    if (!rowId) {
        message.error("请选择报损单之后再打印");
        return;
    }
    const data = {
        params: [{ stkScrapID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02020213",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**打印入库单
 */
export function printInOp(rowId) {
    if (!rowId) {
        message.error("请选择入库单之后再打印");
        return;
    }
    const data = {
        params: [{ inOperID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02020208",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**打印医嘱单
 */
export function printDoctorOrder(data) {
    $http.post('urlS', this, {
        code: "04060016",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
                if ((data.params[0].power == "keepPrint") && (res.otherResult.newPageFlag == "1")){
                    let newPageData=res.otherResult.newPageData;
                    let pageNumber=res.otherResult.pageNumber;
                    let itemData = {
                        params:[{
                            newPageData:newPageData,
                            priorFlag:this.state.ordPrior,
                            admID: this.props.patAdmId,
                            pageSize: this.state.pageSize,
                            locSeqNo: this.state.activeKey,
                            pageNumber:pageNumber
                        }]
                    }
                    $http.post('urlS', this, {
                        code: "04060018",
                        data: itemData,
                        success: function (res) {
                            // console.log(res)
                            if (+res.errorCode === 0) {
                                $loopPrint('', res.result);
                            } else {
                                message.error(res.errorMessage);
                            }
                        }
                    })
                }
                this.queryOrder();
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}


/**打印退货单
 */
export function printStkRet(rowId) {
    if (!rowId) {
        message.error("请选择退货单之后再打印");
        return;
    }
    const data = {
        params: [{ stkReturnID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02020211",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**打印付款单
 */
export function printStkPay(rowId) {
    if (!rowId) {
        message.error("请选择付款单之后再打印");
        return;
    }
    const data = {
        params: [{ stkPayID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02020225",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**打印月报
 */
export function printStkReport(rowId, sortFlag, priceFlag) {
    if (!rowId) {
        message.error("请选择月报之后再打印");
        return;
    }
    const data = {
        params: [{
            stkReportID: rowId,
            sortFlag: sortFlag,
            priceFlag: priceFlag
        }]
    };
    $http.post('urlS', this, {
        code: "02020226",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**打印请求单
 */
export function printStkRequest(rowId) {
    if (!rowId) {
        message.error("请选择请求单之后再打印");
        return;
    }
    const data = {
        params: [{
            stkReqID: rowId,
        }]
    };
    $http.post('urlS', this, {
        code: "02020230",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}


/**打印近效期药品
 */
export function printStkExpWarnData(info) {
    //console.log(info.params(0).restMonth)
    if(info.params[0].restMonth==''){
        message.error("请选择报警期限时间");
        return;
    }
    if(info.params[0].endExpDate==null){
        message.error("请选择截止效期");
        return;
    }
    const data = info;
    $http.post('urlS', this, {
        code: "02020341",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**打印入库验收记录
 */
export function printStkAccept(rowId) {
    if (!rowId) {
        message.error("请选择验收记录之后再打印");
        return;
    }
    const data = {
        params: [{
            inOperID: rowId,
        }]
    };
    $http.post('urlS', this, {
        code: "02020300",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}
/**打印盘点损益明细
 */
export function printProfitAndLossData(params) {
    const data = {
        params:params
    };
    $http.post('urlS', this, {
        code: "02020308",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}
/**打印盘点单汇总数据
 */
export function printStkTakeData(rowId) {
    if (!rowId) {
        message.error("请选择盘点单之后再打印");
        return;
    }
    const data = {
        params: [{
            stkTakeID: rowId,
        }]
    };
    $http.post('urlS', this, {
        code: "02020329",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}
/**打印调价单数据
 */
export function printAdjstmentEntry(rowId) {
    if (!rowId) {
        message.error("请选择盘点单之后再打印");
        return;
    }
    const data = {
        params: [{
            stkTakeID: rowId,
        }]
    };
    $http.post('urlS', this, {
        code: "02020345",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}
